#include "velodyne_manager_task.h"


Velodyne_manager_task::Velodyne_manager_task()
{
    m_task_type = Task_type::VELODYNE_MANAGER_TASK;
	m_task_statu = TASK_CREATED;
	m_task_statu_information.clear();
	m_task_error_manager.error_manager_clear_all();

	m_terminal_id = 0;
}

Velodyne_manager_task::~Velodyne_manager_task()
{
}

//初始化函数
Error_manager Velodyne_manager_task::task_init(int terminal_id, std::chrono::system_clock::time_point command_time	)
{
	m_task_statu = TASK_CREATED;
	m_task_statu_information.clear();
	m_task_error_manager.error_manager_clear_all();

	m_terminal_id = terminal_id;
	m_command_time = command_time;

	return Error_code::SUCCESS;
}
Error_manager Velodyne_manager_task::task_init(Task_statu task_statu,
						std::string task_statu_information,
						void* p_tast_receiver,
						std::chrono::milliseconds task_over_time,
						int terminal_id,
						std::chrono::system_clock::time_point command_time
)
{
	m_task_statu = task_statu;
	m_task_statu_information = task_statu_information;
	mp_tast_receiver = p_tast_receiver;
	m_task_over_time = task_over_time;
	m_task_error_manager.error_manager_clear_all();

	m_terminal_id = terminal_id;
	m_command_time = command_time;

	return Error_code::SUCCESS;
}

int Velodyne_manager_task::get_terminal_id()
{
	return m_terminal_id;
}
std::chrono::system_clock::time_point Velodyne_manager_task::get_command_time()
{
	return m_command_time;
}
Common_data::Car_wheel_information Velodyne_manager_task::get_car_wheel_information()
{
	return m_car_wheel_information;
}
void Velodyne_manager_task::set_car_wheel_information(Common_data::Car_wheel_information car_wheel_information)
{
	m_car_wheel_information = car_wheel_information;
}